Subject: [NSIS] Problem statement of NSIS protocols in mobile environment (MN coudldn't send BU to CN)

From: "斌斌王" <[email-masked]>
Date: Mon, 23 Apr 2007 15:20:06 +0800

Hi All,

We have met a problem caused by the interaction between NSIS protocol and
mobile IPv6. The case we consider is that CN sends packets to the Mobilenode.
In mobile IPv6 protocol, when mobile node move from the home link to a
foreign link, it will sends BUs to both HA and CN. And the condition when MN
sends BU to CN is as follows:
1、MN has already received the first packet which is forwarded by the HA, in
other words, the first triangle routing packet .

 2、The source address of the inner IP header of the IP-in-IP Encapsulated
packet is the address of CN.

When MN receives such a packet, it will realize that it hasn't associated
with CN, then MN will send a BU to inform CN about its new CoA.

However, in NSIS, the address of the signaling is the addresses of adjacent
signaling peers. It is hop by hop (GIST Hop), and the source address of the
above packet (the first triangle routing packet) will change to the previous
hop, It is no longer the address of CN. This will cause a problem, couldn't
trigger MN sending BU to CN. How to solve this conflict?

B.R.

Binbin. Wang
2007-4-23

-- 
Wang.bupt
_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: Max Laier <[email-masked]>
Date: Mon, 23 Apr 2007 13:33:36 +0200

On Monday 23 April 2007 09:20, 斌斌王 wrote:
> We have met a problem caused by the interaction between NSIS protocol
> and mobile IPv6. The case we consider is that CN sends packets to the
> Mobilenode. In mobile IPv6 protocol, when mobile node move from the
> home link to a foreign link, it will sends BUs to both HA and CN. And
> the condition when MN sends BU to CN is as follows:
> 1、MN has already received the first packet which is forwarded by the
> HA, in other words, the first triangle routing packet .
>
>  2、The source address of the inner IP header of the IP-in-IP
> Encapsulated packet is the address of CN.
>
> When MN receives such a packet, it will realize that it hasn't
> associated with CN, then MN will send a BU to inform CN about its new
> CoA.
>
> However, in NSIS, the address of the signaling is the addresses of
> adjacent signaling peers. It is hop by hop (GIST Hop), and the source
> address of the above packet (the first triangle routing packet) will
> change to the previous hop, It is no longer the address of CN. This
> will cause a problem, couldn't trigger MN sending BU to CN. How to
> solve this conflict?

This depends on the context.  If you are talking about a path-coupled 
signalling, the MN should not do route optimization for it at all.  The 
associated flow (between CN and MN) is being tunneled and so should the 
signalling.  As soon as the MN receives a packet of the actual flow, this 
packet will have the proper CN address in the inner header and the MN 
will perform RO for the flow.  At this point a new signalling association 
will form between CN and MN along the optimized path.  Newer MIP6 drafts 
include proactive signalling where the MN will send a BU for the flow 
even before it has received a new packet from the CN.

If you really want to break the path coupling in order to signal along the 
optimized path early, you should be able to retrieve the CN address from 
the MRI.

Or am I misunderstanding your problem?

-- 
/"\  Best regards,                      | [email-masked]
\ /  Max Laier                          | ICQ #67774661
 X   http://pf4freebsd.love2party.net/  | mlaier@EFnet
/ \  ASCII Ribbon Campaign              | Against HTML Mail and News

---

From: "斌斌王" <[email-masked]>
Date: Mon, 23 Apr 2007 21:27:01 +0800

Thank you very much.
As you described above, we retrieved the CN address from the MRI, and
changed the inner IP source address with the CN address.